simposiy-api/apps/admin_pages_app/urls.py
from django.urls import path

from .views import (
    ConfirmPayments,
    CustomPagesView,
    PaymentTransferView,
    PayoutDataView,
    PayoutDetailsView,
    # SuccessView,
    # TransferPayment,
    # MakeRefundsView,
    # OrdersView,
)

app_name = 'admin_pages_app'


urlpatterns = [
    # main page
    path('custom-pages/', CustomPagesView.as_view(), name='custom-pages-list'),

    # payments
    path('payments/', PaymentTransferView.as_view(), name='payments-details'),
    path('payments/confirm/', ConfirmPayments.as_view(), name='confirm-payments'),

    # payouts data
    path('payouts/list/', PayoutDataView.as_view(), name='list-payouts'),
    path('payout/details/', PayoutDetailsView.as_view(), name='payout-details'),

    # refunds
    # path('make-refunds/', MakeRefundsView.as_view(), name='make-refunds'),
    # path('orders/', OrdersView.as_view(), name='order-details'),

    # transfers
    # path('payments/transfer/', TransferPayment.as_view(), name='transfer-payments'),
    # path('tarnsfer/success/', SuccessView.as_view(), name='tarnsfer-success'),
]

simposiy-api/core/urls.py
from django.contrib import admin
from django.urls import path, include
from drf_spectacular.views import SpectacularAPIView, SpectacularSwaggerView
from django.conf import settings
from django.conf.urls.static import static
from core.settings import DEBUG
from .yasg import urlpatterns as doc_urls


API_V1_URL_PATH: str = 'api/v1/'

urlpatterns = [
    path('admin/', admin.site.urls),
    path(API_V1_URL_PATH, include('apps.auth_app.urls')),
    path(API_V1_URL_PATH, include('apps.user_app.urls')),
    path(API_V1_URL_PATH, include('apps.notification_app.urls')),
    path(API_V1_URL_PATH, include('apps.place_app.urls')),
    path(API_V1_URL_PATH, include('apps.discussion_app.urls')),
    path(API_V1_URL_PATH, include('apps.payment_app.urls')),
    path(API_V1_URL_PATH, include('apps.admin_pages_app.urls')),
    path(API_V1_URL_PATH, include('apps.geolocations_app.urls')),
]

if DEBUG:
    urlpatterns += doc_urls
    urlpatterns += [
    path(f'{API_V1_URL_PATH}schema/', SpectacularAPIView.as_view(), name='schema'),
    path('silk/', include('silk.urls', namespace='silk')),
    path(f'{API_V1_URL_PATH}schema/swagger-ui/', SpectacularSwaggerView.as_view(url_name='schema'), name='swagger-ui'),
    ] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

simposiy-api/apps/admin_pages_app/models.py
from django.db import models

# Create your models here.

simposiy-api/apps/admin_pages_app/forms.py
from django import forms

class ConfirmPaymentsForm(forms.Form):
    stripe_account_id = forms.CharField(widget=forms.HiddenInput)
    amount_payable = forms.DecimalField(widget=forms.HiddenInput)
    discussion_id = forms.IntegerField(widget=forms.HiddenInput)
    
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['amount_payable'].required = True
        self.fields['stripe_account_id'].required = True
        self.fields['discussion_id'].required = True

simposiy-api/apps/admin_pages_app/views.py
from django.contrib.auth.mixins import LoginRequiredMixin
from django.views.generic import TemplateView
from typing import Any, Dict
from django.urls import reverse
from django.shortcuts import render
from apps.payment_app.models import PayoutData

from repositories.custom_pages_repository import get_context_dto, get_payout_context_dto
from apps.admin_pages_app.dto import AdminPageDTO, TemplateContextDTO
from apps.discussion_app.models import Discussion
from apps.user_app.models import Profile
from repositories.custom_pages_repository import get_discussions_for_payment, get_payouts


class CustomPagesView(LoginRequiredMixin, TemplateView):
    """View for list admin custom pages"""

    template_name: str = 'admin_pages_app/custom_pages_list.html'
    login_url: str = '/'

    def get_context_data(self, **kwargs) -> Dict[str, Any]:
        context: dict = super().get_context_data(**kwargs)
        dto = TemplateContextDTO(
            title='Custom admin pages',
            objects=__class__.get_admin_pages_list(),
            table_header_row=('title', ),
        )
        context.update(dto.__dict__)
        return context

    @staticmethod
    def get_admin_pages_list() -> tuple[AdminPageDTO]:
        """Method for returning custom admin pages urls"""

        return (
            AdminPageDTO(
                title='Transfer payments',
                url=reverse('admin_pages_app:payments-details'),
            ),
            AdminPageDTO(
                title='Payouts',
                url=reverse('admin_pages_app:list-payouts'),
            ),
        )


class PaymentTransferView(LoginRequiredMixin, TemplateView):
    """View for generating payments report and transfer payments"""

    template_name: str = 'admin_pages_app/payments_details.html'
    login_url: str = '/'

    def get_context_data(self, **kwargs) -> Dict[str, Any]:

        context: dict = super().get_context_data(**kwargs)

        list_discussions: list[Discussion] = get_discussions_for_payment()
        dto = TemplateContextDTO(
            title='Discussions for transfer payments',
            objects=list_discussions,
            table_header_row=(
                'ID',
                'Discussion',
                'Number of participants',
                'For one seat',
                'Total amount',
                'Service fee',
                'Amount payable',
                'Place',
                'Transfer to',
                ''
            ),
        )

        place_owner_id = self.request.GET.get('search_query')
        if place_owner_id:
            list_discussions: list[Discussion] = [
                discussion for discussion in list_discussions if discussion.place.owner.profile.id == int(place_owner_id)]
            dto = TemplateContextDTO(
                title='Discussions for transfer payments',
                objects=list_discussions,
                table_header_row=(
                    'Check',
                    'ID',
                    'Discussion',
                    'Number of participants',
                    'For one seat',
                    'Total amount',
                    'Service fee',
                    'Amount payable',
                    'Place',
                    'Transfer to',
                ),
            )

        context.update(dto.__dict__)
        return context


class ConfirmPayments(LoginRequiredMixin, TemplateView):
    """View for confirm payments"""

    template_name: str = 'admin_pages_app/confirm_payments.html'
    login_url: str = '/'

    def get(self, request, *args, **kwargs):
        discussion_id = request.GET.get('discussion_id')
        discussions_id_list = [int(discussion_id)]
        owner_profile_id = int(request.GET.get('profile_id'))
        profile = Profile.objects.select_related(
            'user').get(id=owner_profile_id)
        context: dict = super().get_context_data(**kwargs)
        dto: TemplateContextDTO = get_context_dto(
            discussions_id_list=discussions_id_list, owner_profile=profile)
        context.update(dto.__dict__)

        return render(request, self.template_name, context)

    def post(self, request, *args, **kwargs):
        discussions_id_list: list[int] = [
            int(id) for id in request.POST.getlist('checkbox_discussion')]
        owner_profile_id = int(request.GET.get('profile_id'))
        profile = Profile.objects.select_related(
            'user').get(id=owner_profile_id)
        context: dict = super().get_context_data(**kwargs)
        dto: TemplateContextDTO = get_context_dto(
            discussions_id_list=discussions_id_list, owner_profile=profile)
        context.update(dto.__dict__)

        return render(request, self.template_name, context)


class PayoutDataView(LoginRequiredMixin, TemplateView):
    """View for list PayoutData objects"""

    template_name: str = 'admin_pages_app/payouts.html'
    login_url: str = '/'

    def get_context_data(self, **kwargs) -> Dict[str, Any]:
        context: dict = super().get_context_data(**kwargs)
        payouts_list: list[PayoutData] = get_payouts()
        dto = TemplateContextDTO(
            title='List Of Payouts',
            objects=payouts_list,
            table_header_row=(
                'Payout ID',
                'Place owner',
                'Payout ID',
                'Transfered amount',
                'Status',
                'Created at',
                ''
            ),
        )
        context.update(dto.__dict__)
        return context


class PayoutDetailsView(LoginRequiredMixin, TemplateView):
    """View for payout details"""

    template_name: str = 'admin_pages_app/payout_details.html'
    login_url: str = '/'

    def get(self, request, *args, **kwargs):
        payoutdata_id = request.GET.get('payoutdata_id')
        payout = PayoutData.objects.select_related(
            'place_owner').get(id=int(payoutdata_id))
        discussions_id_list = [int(discussion_id)
                               for discussion_id in payout.discussions.split(',')]
        profile = payout.place_owner.profile
        context: dict = super().get_context_data(**kwargs)
        dto: TemplateContextDTO = get_payout_context_dto(
            discussions_id_list=discussions_id_list, owner_profile=profile, payout=payout)
        context.update(dto.__dict__)

        return render(request, self.template_name, context)


# class SuccessView(TemplateView):
#     """View for success page"""

#     template_name = "admin_pages_app/success.html"

#     def get(self, request, *args, **kwargs):
#         return render(request, self.template_name)


# class TransferPayment(LoginRequiredMixin, FormMixin, TemplateView):
#     """View for transfer money to locations owners"""

#     form_class = ConfirmPaymentsForm
#     template_name = 'admin_pages_app/transfer_payments.html'
#     success_url = reverse_lazy('admin_pages_app:tarnsfer-success')

#     def post(self, request, *args, **kwargs):

#         form = self.form_class(request.POST)
#         if form.is_valid():
#             # amount_payable = form.cleaned_data.get('amount_payable')
#             # amount = int(amount_payable*100)
#             stripe_account_id = form.cleaned_data.get('stripe_account_id')
#             # discussion_ids: list = request.POST.getlist('discussion_id')
#             # discussion_ids_str: str = ', '.join(discussion_ids)
#             link = f'https://dashboard.stripe.com/test/connect/accounts/{stripe_account_id}/activity'
#             return redirect(link)
#         else:
#             return self.form_invalid(form)


# class MakeRefundsView(LoginRequiredMixin, TemplateView):
#     """View for making refunds"""

#     template_name: str = 'admin_pages_app/refunds.html'
#     login_url: str = '/'

#     def post(self, request, *args, **kwargs):
#         charge_list: list[str] = request.POST.getlist('checkbox_charge')
#         for charge in charge_list:
#             charge_obj: ChargeData = ChargeData.objects.get(charge_id=charge)
#             order: Order = Order.objects.select_related('user', 'discussion').get(charge=charge_obj)
#             discussion: Discussion = Discussion.objects.get(id=order.discussion.pk)

#             # check how much time left till start of discussion
#             now = timezone.make_naive(timezone.now())
#             discussion_start_date: datetime.datetime = discussion.dt_start.replace(
#                 tzinfo=None)
#             difference: datetime.timedelta = discussion_start_date - now
#             days, hours = difference.days, difference.seconds // 3600

#             if days < 1:
#                 messages.error(request, message=f'Before the start of the discussion left {hours} hr. The deadline for requesting a refund is 24 hours before the start of the discussion.')
#                 return HttpResponseRedirect(reverse('admin_pages_app:order-details'))

#             create_refund_dto: CreateRefundDTO = StripeService.create_refund_dto(
#                 charge_id=charge)
#             StripeService.create_refund(
#                 dto=create_refund_dto)

#             # remove user from participants
#             DiscussionAppRepository.remove_user_from_participants(user=order.user, discussion=discussion)

#             # check if discussion was full make flag is_full=False
#             if discussion.is_full == True:
#                 discussion.update_fields(is_full=False)
#         return HttpResponseRedirect(reverse('admin_pages_app:order-details'))


# class OrdersView(LoginRequiredMixin, TemplateView):
#     """View for generating order report"""

#     template_name: str = 'admin_pages_app/order_details.html'
#     login_url: str = '/'

#     def get_context_data(self, **kwargs) -> Dict[str, Any]:

#         context: dict = super().get_context_data(**kwargs)

#         discussion_id = self.request.GET.get('search_query')

simposiy-api/apps/admin_pages_app/templates/admin_pages_app/base.html
{% extends "base.html" %}

simposiy-api/apps/admin_pages_app/templates/admin_pages_app/confirm_payments.html
{% extends "admin_pages_app/base.html" %}
<style>
    .card {
        max-width: 250px; /* set the max width of the card */
        margin: 0 auto; /* center the card horizontally */
    }
</style>
{% block content %}
    <div style="display: flex; justify-content: flex-end;">
        <a href="{% url 'admin_pages_app:payments-details' %}" id="return-btn" class="btn btn-dark">Return</a>
    </div>
    <div id="content-main" class="col-12">
        <h1 class="text-center mb-4">{{ title }}</h1>
        {% if error %}
            <div class="alert alert-danger text-center">
                <h2>{{ error }}</h2>
            </div>
        {% else %}
        <div>
            <p><em>**The percentage of the service fee may differ because it is set at the time of creation of the discussion in accordance with the application service fee at that time.</em></p>
        </div>
            {% if objects %}
                <div class="card mb-4">
                    <div class="card-body">
                        {% for discussion in objects %}
                        <form method="post">
                            {% csrf_token %}
                            <input type="hidden" name="discussion_id" value="{{ discussion.id }}"/>
                            <div class="card my-3">
                                <div class="card-body">
                                    <h5 class="card-title">{{ discussion.topic }}</h5>
                                    <p class="card-text">
                                        <strong>Discussion ID:</strong> {{ discussion.id }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Participants:</strong> {{ discussion.confirmed_participant_number }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Deposit:</strong> ${{ discussion.place.deposit.amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Total amount:</strong> ${{ discussion.total_amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Service fee:</strong> {{ discussion.service_fee }} %
                                    </p>
                                    <p class="card-text">
                                        <strong>Service fee amount:</strong> ${{ discussion.service_fee_amount }}
                                    </p>
                                    <p class="card-text">
                                        <strong>Amount to send to the restaurant:</strong> ${{ discussion.amount_payable }}
                                    </p>
                                </div>
                            </div>
                        {% endfor %}
                    </div>
                </div>
            {% else %}
                <div class="card mb-4">
                    <div class="card-body">
                        <h5 class="card-title">No discussions found</h5>
                    </div>
                </div>
            {% endif %}
            {% if owner_profile.company_stripe_account is not None %}
            <div class="payment-info">
                <h3 class="text-center mb-4">Payment Receiver Information</h3>
                <div class="row justify-content-center">
                    <div class="col-lg-6">
                        <ul class="list-group">
                            <li class="list-group-item">
                                <strong>Company Legal Name:</strong> {{ owner_profile.company_legal_name }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company Name:</strong> {{ owner_profile.company_name }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company Email:</strong> {{ owner_profile.company_email }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company Address:</strong> {{ owner_profile.company_address }}
                            </li>
                            <li class="list-group-item">
                                <strong>Company EIN Number:</strong> {{ owner_profile.company_ein }}
                            </li>
                            
                            <li class="list-group-item">
                                <strong>Company Stripe Acc:</strong> {{ owner_profile.company_stripe_account }}
                            </li>
                            
                        </ul>
                    </div>
                </div>
            </div>
            <div class="total-amount">
                <h4 class="text-center mt-5">Total Amount Payable: ${{ total_amount_payable }}</h4>
                    <div class="d-flex justify-content-center mt-4">
                        <a href="#" onclick="window.open('https://dashboard.stripe.com/test/connect/accounts/{{ owner_profile.company_stripe_account }}/activity', '_blank');" class="btn btn-primary">Confirm Payment</a>
                    </div>
            </div>
            {% else %}
            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="card-title">Payment receiver information</h5>
                    <p class="card-text">User ID:{{ owner_profile.user.id }} has no Stripe account.</p>
                </div>
            </div>
            <div class="total-amount">
                <h4 class="text-center mt-5">Total Amount Payable: ${{ total_amount_payable }}</h4>
                    <div class="d-flex justify-content-center mt-4">
                        <button type="submit" class="btn btn-primary" disabled>Confirm Payment</button>
                    </div>
                    <div>
                        <a href="{% url 'admin_pages_app:payments-details' %}" class="btn btn-primary">Return</a>
                    </div>
                </form>
            </div>
            {% endif %}
        {% endif %}
    </div>
{% endblock content %}

simposiy-api/apps/admin_pages_app/templates/admin_pages_app/custom_pages_list.html
{% extends "admin_pages_app/base.html" %}
{% block content %}
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
                <table class="table">
                    <thead class="thead-dark">
                        <tr>
                            {% for header in table_header_row %}<th scope="col">{{ header }}</th>{% endfor %}
                        </tr>
                    </thead>
                    <tbody>
                        {% for object in objects %}
                            <tr>
                                <td>
                                    <h4>
                                        <a href="{{ object.url }}">{{ object.title }}</a>
                                    </h4>
                                </td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        {% endif %}
    </div>
{% endblock content %}

simposiy-api/apps/admin_pages_app/templates/admin_pages_app/payments_details.html
{% extends "admin_pages_app/base.html" %}
<style>
    .form-inline{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -ms-flex-align: center;
        align-items: center;
    }

    #search-bar{
        margin-bottom: 1rem;
    }
</style>

{% block content %}
    <div style="display: flex; justify-content: flex-end;">
        <a href="{% url 'admin_pages_app:custom-pages-list' %}" id="return-btn" class="btn btn-dark">Return</a>
    </div>
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
                {% comment %} <h1 class="text-center">{{ table_header_row }}</h1> {% endcomment %}
            </div>
        {% endif %}
    </div>
    <div class="input-group rounded"
         id="search-bar"
         style="margin-bottom: 1rem">
        <form class="form-inline">
            <form class="search"
                  class="form-control rounded"
                  action="{% url "admin_pages_app:payments-details" %}"
                  method="post">
                {% csrf_token %}
                <input type="search"
                       class="form-control rounded"
                       placeholder="Enter 'Transfer to' ID..."
                       name="search_query"
                       value="{{ query }}"
                       required>
                <button type="submit" class="btn btn-outline-info">Search</button>
            </form>
        </form>
    </div>
    <div>
        <p><em>**discussions where the place owner is the initiator are marked in different color. Their number of participants will not correspond to the total amount, because the initiator is the owner of the location and does not pay for his participation in the discussion.</em></p>
    </div>
    <table class="table table-striped table-sm" id="orderTable">
        <thead class="thead-dark">
            <tr>
                {% for header in table_header_row %}<th scope="col" style="text-align: center;">{{ header }}</th>{% endfor %}
            </tr>
        </thead>
        {% if 'Check' in table_header_row %}
            <tbody>
                {% for discussion in objects %}
                    {% if discussion.initiator == discussion.place.owner %}
                        <tr style="background-color: #fccdb6">
                    {% else %}
                        <tr>
                    {% endif %}
                        <th scope="row" textalign="center" style="text-align: center;">
                            <form method="post" action="{% url "admin_pages_app:confirm-payments" %}?profile_id={{ discussion.place.owner.profile.id }}">
                                {% csrf_token %}
                                <input type="checkbox" value="{{ discussion.id }}" name="checkbox_discussion" onclick="checkSubmitButton()">
                            
                        </th>
                        <td style="text-align: center;">{{ discussion.id }}</td>
                        <td style="text-align: center;">{{ discussion.topic }}</td>
                        <td style="text-align: center;">{{ discussion.confirmed_participant_number }}</td>
                        <td style="text-align: center;">$ {{ discussion.place.deposit.amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.total_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.service_fee_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.amount_payable }}</td>
                        <td style="text-align: center;">
                            <a href="/admin/place_app/place/{{ discussion.place.id }}/">{{ discussion.place.name }}</a>
                        </td>
                        <td style="text-align: center;">
                            <a href="/admin/user_app/profile/{{ discussion.place.owner.profile.id }}/">{{ discussion.place.owner.profile.company_legal_name }}, ID:{{ discussion.place.owner.profile.id }}</a>
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="9" align="right">
                            <button type="submit" onclick="window.location.href='confirm';" class="btn btn-primary" id="submit-btn" disabled>Submit</button>
                            </form>
                        <!-- <button onclick="window.location.href='confirm';" name="details" class="btn btn-outline-info">Details</button>-->
                    </td>
                </tr>
            </tfoot>
        {% else %}
            <tbody>
                {% for discussion in objects %}
                    {% if discussion.initiator == discussion.place.owner %}
                        <tr style="background-color: #fccdb6">
                    {% else %}
                        <tr>
                    {% endif %}
                        <td style="text-align: center;">{{ discussion.id }}</td>
                        <td style="text-align: center;">{{ discussion.topic }}</td>
                        <td style="text-align: center;">{{ discussion.confirmed_participant_number }}</td>
                        <td style="text-align: center;">$ {{ discussion.place.deposit.amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.total_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.service_fee_amount }}</td>
                        <td style="text-align: center;">$ {{ discussion.amount_payable }}</td>
                        <td style="text-align: center;">
                            <a href="/admin/place_app/place/{{ discussion.place.id }}/">{{ discussion.place.name }}</a>
                        </td>
                        <td style="text-align: center;">
                            <a href="/admin/user_app/profile/{{ discussion.place.owner.profile.id }}/">{{ discussion.place.owner.profile.company_legal_name }}, ID:{{ discussion.place.owner.profile.id }}</a>
                        </td>
                        <td colspan="11" align="right">
                            <a href="{% url 'admin_pages_app:confirm-payments' %}?discussion_id={{ discussion.id }}&profile_id={{ discussion.place.owner.profile.id }}" class="btn btn-primary">Details</a>
                        </td>
                    </tr>
            </tbody>
            {% endfor %}
        {% endif %}
    </table>
    <script>
        const checkboxes = document.querySelectorAll('input[type=checkbox]');
        const submitButton = document.getElementById('submit-btn');
        const maxLimit = 5;
        const errorDiv = document.getElementById('error-message');
        let checkedCheckboxes = new Set();
        let uncheckedCheckboxes = new Set(checkboxes);
      
        function checkSubmitButton() {
          let checkedCount = checkedCheckboxes.size;
          if (checkedCount > maxLimit) {
            alert('You can only select up to 5 discussions');
            uncheckedCheckboxes.forEach((checkbox) => {
              if (checkbox.checked) {
                checkbox.checked = false;
                checkedCheckboxes.delete(checkbox);
                uncheckedCheckboxes.add(checkbox);
              }
            });
          }
          submitButton.disabled = checkedCount > maxLimit;
        }
      
        function updateCheckboxes(event) {
          const checkbox = event.target;
          if (checkbox.checked) {
            if (checkedCheckboxes.size >= maxLimit) {
              checkbox.checked = false;
              alert('You can only select up to 5 discussions');
            } else {
              checkedCheckboxes.add(checkbox);
              uncheckedCheckboxes.delete(checkbox);
            }
          } else {
            checkedCheckboxes.delete(checkbox);
            uncheckedCheckboxes.add(checkbox);
          }
          checkSubmitButton();
        }
      
        checkboxes.forEach((checkbox) => {
          checkbox.addEventListener('change', updateCheckboxes);
        });
      </script>
           
    
{% endblock content %}

simposiy-api/apps/admin_pages_app/templates/admin_pages_app/payouts.html
{% extends "admin_pages_app/base.html" %}
<style>
    .form-inline{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-flow: row wrap;
        flex-flow: row wrap;
        -ms-flex-align: center;
        align-items: center;
    }
</style>

{% block content %}
    <div style="display: flex; justify-content: flex-end;">
        <a href="{% url 'admin_pages_app:custom-pages-list' %}" id="return-btn" class="btn btn-dark">Return</a>
    </div>
    <div id="content-main" class="col-12">
        {% if error %}
            <h1 class="text-center">{{ error }}</h1>
        {% else %}
            <h1 class="text-center mb-4">{{ title }}</h1>
            <div class="justify-content-center d-flex">
            </div>
        {% endif %}
    </div>
    <div>
        <p><em>**Succesfull payouts in the 'PAID' status are marked with green color</em></p>
    </div>
    <table class="table table-striped table-sm" id="orderTable">
        <thead class="thead-dark">
            <tr>
                {% for header in table_header_row %}<th scope="col" style="text-align: center;">{{ header }}</th>{% endfor %}
            </tr>
        </thead>
            <tbody>
                {% for payout in objects %}
                    {% if payout.status == 'paid' %}
                        <tr style="background-color: #bdfcb6">
                    {% else %}
                        <tr>
                    {% endif %}
                        <td style="text-align: center;">{{ payout.id }}</td>
                        <td style="text-align: center;">{{ payout.place_owner.profile.company_legal_name }}</td>
                        <td style="text-align: center;">{{ payout.payout_id }}</td>
                        <td style="text-align: center;">{{ payout.transferred_amount }}</td>
                        <td style="text-align: center;">{{ payout.status }}</td>
                        <td style="text-align: center;">{{ payout.created_at }}</td>
                        <td align="right">
                            <a href="{% url 'admin_pages_app:payout-details' %}?payoutdata_id={{ payout.id }}" class="btn btn-primary">Details</a>
                        </td>
                    </tr>
            </tbody>
                {% endfor %}

    </table>
{% endblock content %}

simposiy-api/apps/admin_pages_app/templates/admin_pages_app/refunds.html
{% extends "admin_pages_app/base.html" %}
{% block content %}
{% endblock content %}